<?php
/**
 * @file
 * Administrative page callbacks for the twilio_flex module.
 */

/**
 * Twilio Flex settings form.
 */
function twilio_flex_admin_settings_form($form_state) {
  $form = [];

  $settings = twilio_flex_get_settings();

  $form['twilio_flex_account_sid'] = [
    '#parents' => ['twilio_flex_settings', 'twilio_flex_account_sid'],
    '#title' => t('Account SID'),
    '#type' => 'textfield',
    '#default_value' => $settings['twilio_flex_account_sid'],
    '#size' => 40,
    '#maxlength' => 40,
      '#required' => TRUE,
      '#description' => t('Twilio Account SID, ie AC...'),
  ];

  $form['twilio_flex_flow_sid'] = [
    '#parents' => ['twilio_flex_settings', 'twilio_flex_flow_sid'],
    '#title' => t('Flex Flow SID'),
    '#type' => 'textfield',
    '#default_value' => $settings['twilio_flex_flow_sid'],
    '#size' => 40,
    '#maxlength' => 40,
    '#required' => TRUE,
    '#description' => t('Twilio Flex Flow SID, ie FO...'),
  ];

  return system_settings_form($form);
}
